### Function

# Gcr Pkcs11Certificate lookup_issuer_async

#### Declaration [src]

    void
    gcr_pkcs11_certificate_lookup_issuer_async (
      GcrCertificate* certificate,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lookup a the issuer of a `certificate` in the PKCS#11 storage. The lookup is done using the issuer DN of the certificate. No certificate chain verification is done. Use a crypto library to make trust decisions.

When the operation is finished, callback will be called. You can then call `gcr_pkcs11_certificate_lookup_issuer_finish()` to get the result of the operation.

#### Parameters

`certificate` | `GcrCertificate`
| A `GcrCertificate`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the operation completes.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.